#include "simple_synth.h"

void sanity(note n, int N, int samps) {
		assert(n.F >= 0);
		assert(n.F < 3); /* pi would be nyquist */
		assert(N >= 0);
		assert(N < samps);
		assert(n.L <= 1);
		assert(n.L >= 0);
		assert(n.A < 10000000);
		assert(n.A > 0);
		assert(n.D >= 0);
		assert(n.D < 10000000);
		assert(n.S >= 0);
		assert(n.S < 10000000);
		assert(n.R > 0);
		assert(n.R < 10000000);
		assert(N + n.A + n.D + n.S + n.R < samps);
}

