#include <stdio.h>
#include <unistd.h>
#include <assert.h>
#include <stdlib.h>
#include <sys/mman.h>
#include <string.h>
#include <math.h>

#define SAMPLERATE 44100

int main(void) {
	float freq, omega, beats, seconds_per_beat, samples_per_beat, bpm = 0;
	char root[64], chord[64];
	unsigned int n = 0, samples;

	scanf("%f", &bpm);
	assert(bpm > 20);	
	assert(bpm < 300);	

	seconds_per_beat = 60 / bpm;
	samples_per_beat = seconds_per_beat * SAMPLERATE;

	while(3 == scanf("%s %s %f", root, chord, &beats)) {
			samples = beats * samples_per_beat;
			if (! strcmp(root, "A")) freq = 440;	
			else if (! strcmp(root, "A#")) freq = 466.16;	
			else if (! strcmp(root, "B")) freq = 493.88;	
			else if (! strcmp(root, "C")) freq = 523.25 ;	
			else if (! strcmp(root, "C#")) freq = 554.36;	
			else if (! strcmp(root, "D")) freq = 587.33;	
			else if (! strcmp(root, "D#")) freq = 622.25;	
			else if (! strcmp(root, "E")) freq = 659.26;	
			else if (! strcmp(root, "F")) freq = 698.46;	
			else if (! strcmp(root, "F#")) freq = 739.99 ;	
			else if (! strcmp(root, "G")) freq = 783.99;	
			else if (! strcmp(root, "G#")) freq = 830.61;	
			else { fprintf(stderr, "wtf\n"); exit(1); }
			omega = (freq * M_PI) / SAMPLERATE;
			printf("%f %d 1 %s\n", omega, n, chord);
			n += samples;
	}
	return(0);
}
		
	
	
