#include "simple_synth.h"

float * make_env(note nt) {
	float a, amp_step, sustain_level, da_dn, *env, rat;	
	int i;
	env = (float *) malloc(sizeof(float) * (nt.A + nt.D + nt.S + nt.R)); 
	assert(NULL != env);
	for(i=0; i<nt.A+nt.D+nt.S+nt.R; i++) env[i] = 0.0; 
	amp_step = 1/(float)nt.A;
	a = 0;
	for(i=0; i<nt.A; i++) {
		env[i] = powf(10, ASCALE * (a - 1));	
		a += amp_step;
	}
	for(i=nt.A; i<nt.A+nt.D; i++) {
		env[i] = powf(10, ASCALE * (a - 1));	
		a -= amp_step;
	}
	sustain_level = env[nt.A+nt.D-1];
	for(i=nt.A+nt.D; i<nt.A+nt.D+nt.S; i++) env[i] = sustain_level;	
	da_dn = a / nt.R;
	rat = powf(10, -1*da_dn*ASCALE);
	for(i=nt.A+nt.D+nt.S; i<nt.A+nt.D+nt.S+nt.R; i++) env[i] = env[i-1] * rat;
	return(env);
}

