#include "simple_synth.h"

int setup_wav_output(SNDFILE **outfile, SF_INFO *sfinfo) {	
	sfinfo->samplerate = 44100;
	sfinfo->channels = 1;
	sfinfo->format = SF_FORMAT_WAV|SF_FORMAT_PCM_16;
	*outfile = sf_open(OUTFILENAME, SFM_WRITE, sfinfo);
	if (NULL == outfile) {
		perror("simple_synth");
		return(-1);
	}
	return(0);
}
