#include <stdio.h>
#include <unistd.h>
#include <assert.h>
#include <stdlib.h>
#include <sys/mman.h>
#include <math.h>
#include <sndfile.h>
#include <string.h>

#define ASCALE 4
#define OUTFILENAME "/big/tmp/synth.wav"

typedef struct note_struct {
	float F;
	float L;	
	int A;
	int D;
	int S;
	int R;
} note;

typedef struct mitem_struct {
	struct mitem_struct *next;
	note n;
	float *wave;
} mitem;

int setup_wav_output(SNDFILE **outfile, SF_INFO *sfinfo); 
void sanity(note n, int N, int samps);
float * make_env(note n);
mitem * add_memo_to_tail(mitem *head, note);
mitem * find_memo(mitem *head, note);
float * getwave(mitem *memohead, float * sintable, note);
void usage(char *progname);	
int setup_mmap_buf(int, float **);
	

